Quassel IRC - Bug #1218

Channel's un-hidden status doesn't stay between client restarts
04/28/2013 12:20 PM - Darky

Status: Resolved Start date: 04/28/2013
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour

Target version:

Version: 0.9-pre 0S: Any

Description
To get this effect, you have to follow these steps:

1. Hide channel temporarily

2. Part channel

3. Join channel (it will now be visible again, at the bottom of that network’s buffer list)

Optional: talk in the channel, get other people to talk, etc but the buffer must not be blue (new message(s)) when you proceed next
4. Quit the client

5. When you'll restart it, the channel will be temporarily hidden again

Associated revisions

Revision f5071¢c58 - 09/14/2014 04:41 PM - ramz

Retains Channel UnHiddens Status after client Restart.

Steps to Reproduce:

1. Hide channel temporarily

2. Part channel

3. Join channel (it will now be visible again, at the bottom of that network's buffer list)

Optional: talk in the channel, get other people to talk, etc but the buffer must not be blue (new message(s)) when you proceed next
4. Quit the client

5. When you'll restart it, the channel will be temporarily hidden again

Root Cause:
After step 3, we are not saving the bufferviewconfig synchronizable object right.

Fix:
Save the bufferviewconfig object correctly.

Fixes #1218.

Revision 83¢c60b2 - 09/14/2014 10:12 PM - ramz

Retains Channel UnHiddens Status after client Restart.

Steps to Reproduce:

1. Hide channel temporarily

2. Part channel

3. Join channel (it will now be visible again, at the bottom of that network’s buffer list)

Optional: talk in the channel, get other people to talk, etc but the buffer must not be blue (new message(s)) when you proceed next
4. Quit the client

5. When you'll restart it, the channel will be temporarily hidden again

Root Cause:
After step 3, we are not saving the bufferviewconfig synchronizable object right.

Fix:
Save the bufferviewconfig object correctly.

Fixes #1218.

History

#1 - 04/28/2013 11:29 PM - DevUrandom

| can confirm this problem using client version 0.8.0.
#2 - 09/14/2014 04:44 PM - ramz
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset 11f5071 7 fe270dfede25b7 .
